﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Tickets_326622_Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .rgEditForm 
        { 
            padding:10px; 
            overflow:auto; 
        }
        
        .rgEditForm fieldset
        {
            float:left;
            height:36px;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <div>
        <telerik:RadGrid ID="RadGrid1" runat="server" Width="800px"
            OnNeedDataSource="RadGrid1_NeedDataSource" AutoGenerateEditColumn="true"
            OnItemDataBound="RadGrid1_ItemDataBound" OnUpdateCommand="RadGrid1_UpdateCommand">
            <MasterTableView DataKeyNames="ID, CategoryID">
                <EditFormSettings EditFormType="Template">
                    <FormTemplate>
                        <fieldset>
                            <legend>Name</legend>
                            <telerik:RadTextBox ID="NameTextBox" runat="server" Text='<%# Bind("Name") %>'>
                            </telerik:RadTextBox>
                        </fieldset>
                        <fieldset>
                            <legend>Category</legend>
                            <telerik:RadComboBox ID="CategoryCombo" runat="server" DataTextField="Name" DataValueField="ID"
                                Width="200px">
                            </telerik:RadComboBox>
                        </fieldset>
                        <fieldset>
                            <legend>Date</legend>
                            <telerik:RadDatePicker ID="DatePicker" runat="server" DbSelectedDate='<%# Bind("Date") %>'>
                            </telerik:RadDatePicker>
                        </fieldset>
                        <fieldset>
                            <legend>Quantity</legend>
                            <telerik:RadNumericTextBox ID="QuantityBox" runat="server" DbValue='<%# Bind("Quantity") %>'>
                            </telerik:RadNumericTextBox>
                        </fieldset>
                        <fieldset>
                            <legend>Price</legend>
                            <telerik:RadNumericTextBox ID="PriceBox" runat="server" DbValue='<%# Bind("Price") %>'
                                Type="Currency">
                            </telerik:RadNumericTextBox>
                        </fieldset>
                        <fieldset>
                            <legend>Available</legend>
                            <asp:CheckBox ID="AvailableBox" runat="server" 
                                Checked='<%# Bind("Available") %>'/>
                        </fieldset>
                        <fieldset>
                            <legend>Action</legend>
                            <asp:Button ID="UpdateButton" runat="server" 
                                Text='<%# (Container is GridEditFormInsertItem) ? "Insert" : "Update" %>' 
                                CommandName='<%# (Container is GridEditFormInsertItem) ? "PerformInsert" : "Update" %>'/>&nbsp;
                            <asp:Button ID="CancelButton" runat="server" Text="Cancel" CommandName="Cancel" />
                        </fieldset>
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
        </telerik:RadGrid>
    </div>
    </form>
</body>
</html>
